{
  "parser": "@typescript-eslint/parser",
  "env": {
    "es6": true,
    "browser": true
  },
  "plugins": [
    "@typescript-eslint",
    "eslint-plugin-react",
    "eslint-plugin-babel",
    "eslint-plugin-import",
    "eslint-plugin-jsx-a11y",
    "eslint-plugin-prettier",
    "eslint-plugin-promise",
    "eslint-plugin-react-hooks"
  ],
  "parserOptions": {
    "requireStringLiterals": false,
    "sourceType": "module",
    "ecmaFeatures": {
      "legacyDecorators": true,
      "jsx": true
    }
  },
  "ignorePatterns": [
    "/build",
    "/config",
    "/public",
    "/node_modules",
    "/scripts",
    "*.json",
    "*.css",
    "*.scss",
    "*.png",
    "*.jpeg",
    "*.jpg",
    "*.txt",
    "*.svg"
  ],
  "rules": {
    "object-curly-spacing": ["error", "always"],
    "quotes": ["error", "single", { "avoidEscape": true, "allowTemplateLiterals": true }],
    "semi": "error",
    "indent": ["error", 3, { "SwitchCase": 1 }]
  }
}
